Subject: bug#4113: 23.1.50; Emacs --daemon resets mac-command-modifier on Mac

From: Chong Yidong <[email-masked]>
Date: Sat, 09 Jan 2010 15:33:02 -0500

> I am a Mac user, and I want my Command key to be used as Alt in Emacs,
> so in .emacs, I (setq mac-command-modifier 'meta).  It works well when
> Emacs is launched as a stand-alone application. However, when I use
> Emacs as a daemon server with "--daemon" and then connect to it using
> "emacsclient -c", I find the mac-command-modifier is reset to its
> initial value 'super.

Thanks for the bug report.  I've just checked in a fix.